/*
 * file CMAnnotationProcessor.java
 *
 * IBM Confidential
 * OCO Source Materials
 * Rational ClearCase
 * (C) Copyright IBM Corp. 2010.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.rational.wvcm.stpex.annotation.processing;

import static java.util.Collections.emptySet;
import static java.util.Collections.unmodifiableCollection;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Set;

import com.ibm.rational.wvcm.stpex.annotation.RpcEnum;
import com.sun.mirror.apt.AnnotationProcessor;
import com.sun.mirror.apt.AnnotationProcessorEnvironment;
import com.sun.mirror.apt.AnnotationProcessorFactory;
import com.sun.mirror.declaration.AnnotationTypeDeclaration;

public class CMAnnotationProcessor implements AnnotationProcessorFactory
{
    public Collection<String> supportedAnnotationTypes() {
        ArrayList<String> list = new ArrayList<String>(1);
        list.add("com.ibm.rational.wvcm.stpex.annotation.RpcEnum");

        for (String s : list) {
            System.out.println("CMAnnotationProcessor supports: " + s);
        }
        
        return unmodifiableCollection(list);
    }

    public Collection<String> supportedOptions() {
        return emptySet();
    }

    public AnnotationProcessor 
    getProcessorFor(
        Set<AnnotationTypeDeclaration> atds,
        AnnotationProcessorEnvironment env
    ) 
    {
        return new ListClasses(env);
    }
}
